# List e-invoicing service providers Lists information about e-invoicing service providers. Note: This operation is available only if you have the E-Invoicing feature in Early Adopter phase enabled. Endpoint: GET /v1/einvoice/service-providers Version: 2026-02-20 Security: bearerAuth ## Header parameters: - `Accept-Encoding` (string) Include the Accept-Encoding: gzip header to compress responses as a gzipped file. It can significantly reduce the bandwidth required for a response. If specified, Zuora automatically compresses responses that contain over 1000 bytes of data, and the response contains a Content-Encoding header with the compression algorithm so that your client can decompress it. - `Content-Encoding` (string) Include the Content-Encoding: gzip header to compress a request. With this header specified, you should upload a gzipped file for the request payload instead of sending the JSON payload. - `Zuora-Track-Id` (string) A custom identifier for tracing the API call. If you set a value for this header, Zuora returns the same value in the response headers. This header enables you to associate your system process identifiers with Zuora API calls, to assist with troubleshooting in the event of an issue. The value of this field must use the US-ASCII character set and must not include any of the following characters: colon (:), semicolon (;), double quote ("), and quote ('). - `Zuora-Entity-Ids` (string) An entity ID. If you have Zuora Multi-entity enabled and the OAuth token is valid for more than one entity, you must use this header to specify which entity to perform the operation in. If the OAuth token is only valid for a single entity, or you do not have Zuora Multi-entity enabled, you should not set this header. - `Zuora-Org-Ids` (string) Comma separated IDs. If you have Zuora Multi-Org enabled, you can use this header to specify which orgs to perform the operation in. If you do not have Zuora Multi-Org enabled, you should not set this header. The IDs must be a sub-set of the user's accessible orgs. If you specify an org that the user does not have access to, the operation fails. This header is important in Multi-Org (MO) setups because it defines the organization context under which the API should operate—mainly used for read access or data visibility filtering. If the header is not set, the operation is performed in scope of the user's accessible orgs. - `Zuora-Version` (string) The minor API version. For a list of available minor versions, see API upgrades. ## Response 200 fields (application/json): - `serviceProviders` (array) Container for e-invoicing service providers. - `serviceProviders.companyIdentifier` (string) The identifier of the company used to create a sender system ID, which serves to identify the system where the transactions are sent. - `serviceProviders.id` (string) The ID of the e-invoicing service provider. - `serviceProviders.name` (string) The name of the e-invoicing service provider. - `serviceProviders.provider` (string) The name of the e-invoicing service provider that can help you generate e-invoice files for billing documents. Enum: "Sovos", "PEPPOL", "Avalara" - `serviceProviders.serviceProviderNumber` (string) The unique number of the e-invoicing service provider. - `serviceProviders.test` (boolean) Whether the e-invoicing service provider's configuration is intended for testing. - If you set this field to true, requests are directed to the testing integration endpoints. - If you set this field to false, requests are directed to the production integration endpoints. - `serviceProviders.apiKey` (string) The API key is used to authenticate the e-invoicing service provider's requests. This field only applies to the Sovos or Avalara service provider. - `serviceProviders.use_certificate` (boolean) This field is used to indicate whether the clientCertificate, clientCertificateType, and clientCertificatePassord fields need to be supplied in the request. Note: If the flag is true, the TLS endpoint config is enabled. If the flag is false, the Non-TLS config endpoint is enabled. A TLS certificate and password are no longer required for integration with Sovos. Zuora now uses token-based authentication for all supported countries, including India. - `serviceProviders.clientCertificate` (string) The client certificate is used to authenticate the e-invoicing service provider's requests, which should be in base64 encoded format. This field only applies to the Sovos service provider. - `serviceProviders.clientCertificateType` (string) The client certificate type is used to authenticate the e-invoicing service provider's requests. This field only applies to the Sovos service provider. - `success` (boolean) Returns true if the request was processed successfully. ## Response 500 fields (application/json): - `reasons` (array) Example: [{"code":"ObjectNotFound","message":"Notification definition with id 6e569e1e05f040eda51a927b140c0ac1 does not exist"}] - `reasons.code` (string) The error code of response. - `reasons.message` (string) The detail information of the error response ## Response 4XX fields (application/json): - `processId` (string) The ID of the process that handles the operation. - `reasons` (array) The container of the error code and message. This field is available only if the success field is false. - `reasons.code` (string) The error code of response. - `reasons.message` (string) The detail information of the error response - `requestId` (string) Unique identifier of the request. - `success` (boolean) Indicates whether the call succeeded.